Pré-requis techniques

Les utilisateurs de cette application doivent se conformer aux pré-requis techniques suivants :

  

Configuration de votre poste

Un outil est mis à votre disposition afin de tester votre configuration. Un diagnostic détaillé vous sera fourni ainsi que les étapes à suivre...

  
  

Consultation de test

Une consultation de test est mise à votre disposition.
Celle-ci vous permet de tester un cycle entier de réponse à une consultation dans le but de vous familiariser avec la réponse électronique.

  
  
Pré-requis techniques

Les utilisateurs de cette application doivent se conformer aux pré-requis techniques suivants :

Connectique générale et configuration réseau

  • Accès internet : un accès Internet à haut débit est requis pour permettre le transfert de fichiers et la navigation ergonomique entre les différentes parties de l'application
  • Environnement réseau : les éventuels équipements informatiques se trouvant en sortie du réseau Internet de l'Utilisateur (proxy, reverse proxy, firewall, etc.) doivent être configurés pour :
    • Autoriser l'accès HTTPS à l'application sans restriction (adresse de l'application à paramétrer dans les listes blanches de ces équipements)
    • Autoriser le téléchargement de fichiers s'exécutant dans l'environnement du navigateur (Applet, Javascript, etc.)

Configuration du poste de travail

  • Gestion des cookies de session : l'application exige que le poste de travail autorise des cookies de sessions déposées par le serveur de l'application
  • Droits d'administration du poste de travail : l'application exige que le poste de travail dispose des droits d'administration pour permettre l'installation de fichiers s'exécutant dans l'environnement du navigateur (Applet, Javascript, etc.)
  • Gestion des fonctions cryptographiques : l'application exige que le poste de travail autorise l'exécution de fonctions cryptographiques :
    • Gestion de certificat électronique autorisée
    • Utilisation requise de navigateur en version standard fournie par l'éditeur d'origine (certains Fournisseurs d'Accès à Internet proposent
      des versions dégradées des navigateurs, empêchant les fonctionnalités de chiffrement de fichiers)

Dimensionnement du poste de travail

Certaines opérations cryptographiques (signature, chiffrement, déchiffrement de fichier) sont fortement consommatrices d'espace mémoire et de mémoire vive. Cette dépendance est croissante avec la taille des fichiers à gérer. Pour des opérations courantes de remise de plis électronique (taille de dossier de 20 Mo), les configurations suivantes sont nécessaires ::

  • Processeur > 2 GHz
  • RAM > 1 Go
  • Mémoire allouée à la Java Virtual Machine (en cas d'utilisation des applets de cryptographie) > 512 Mo

Systèmes d'exploitation et navigateurs supportés

Les postes de travail utilisant l'application doivent disposer d'un des Systèmes d'exploitation suivants :

  • MICROSOFT Windows 2000, intégrant l'ensemble des mises à jour publiées par MICROSOFT (windowsupdate.microsoft.com)
  • MICROSOFT Windows XP, intégrant l'ensemble des mises à jour publiées par MICROSOFT (windowsupdate.microsoft.com)
  • MICROSOFT Windows Vista, intégrant l'ensemble des mises à jour publiées par MICROSOFT (windowsupdate.microsoft.com)
  • MICROSOFT Windows 7, intégrant l'ensemble des mises à jour publiées par MICROSOFT (windowsupdate.microsoft.com)
  • MICROSOFT Windows 8, intégrant l'ensemble des mises à jour publiées par MICROSOFT (windowsupdate.microsoft.com)
  • Apple Mac OS X à compter de la version v10.6 (Snow Leopard), intégrant l'ensemble des mises à jour publiées par Apple
  • LINUX : distribution Redhat Fedora à compter de la version Fedora Core 6, intégrant l'ensemble des mises à jour publiées par Redhat

Les postes de travail utilisant l'application doivent disposer d'un des Navigateurs suivants :

  • MICROSOFT Internet Explorer 32 bits, à compter de la version 6.0, intégrant l'ensemble des mises à jour publiées par MICROSOFT (windowsupdate.microsoft.com)
  • MOZILLA Firefox 32 bits, à compter de la version 1.5, intégrant l'ensemble des mises à jour publiées par la fondation Mozilla (www.mozilla.org)
  • N.B : Le navigateur doit être lancé en 32 bits également car JAVA 32 bits ne peut fonctionner avec un navigateur 64 bits.

Format des certificats numériques

Les certificats des utilisateurs doivent être accessibles :

  • Dans le magasin des certificats personnels de Windows, pour les utilisateurs sous système d'exploitation Windows (avec Internet Explorer ou Firefox comme navigateur)
  • Sous forme de fichier P12, protégé par mot de passe, dans tous les autres cas.

Version de la JVM en cours d'exécution

Les fonctions cryptographiques se font via une applet qui requiert un JRE (Java Runtime Environment)

Le poste de travail de l'utilisateur doit être équipé avec la version 32 bits du JRE J2SE en version 1.6 update 10 ou supérieure, téléchargeable sur le site de SUN (http://www.java.com/fr/download/).
La version utilisée doit intégrer l'ensemble des mises à jour publiées sur le site de SUN (http://www.java.com/fr/download/).

Pour les fonctions de chiffrement, l'applet exige une configuration particulière du dossier d'installation du JRE (mise à jour des fichiers US_export_policy.jar et local_policy.jar pour la JRE 6 et les fichiers US_export_policy.jar et local_policy.jar pour la JRE 7).

  • Lorsque le navigateur a les droits d'écriture sur le dossier d'installation du JRE, cette opération est faite directement lors de l'accès aux pages concernées [NB : dans certains cas, il est nécessaire de lancer le navigateur avec l'option "Exécuter en tant qu'administrateur" pour activer de droit d'écriture (sous linux : sudo firefox) ]
  • Lorsque le navigateur n'a pas les droits d'écriture sur le dossier d'installation du JRE, il est nécessaire de réaliser manuellement cette opération : si vous avez sur votre poste la version 6 de java alors il faut télécharger les fichiers US_export_policy.jar et local_policy.jar puis les copier avec remplacement des versions antérieures, dans le répertoire lib\security du répertoire d'installation du JRE [en général C:\Program Files\Java\jre6\lib\security\ sous Windows, /System/Library/Frameworks/JavaVM.framework/Versions/1.6.0/Home/lib/security/ sous Mac].
    Si vous avez sur votre poste la version 7 de java alors il faut télécharger les fichiers US_export_policy.jar et local_policy.jar puis copier avec remplacement des versions antérieures, dans le répertoire lib\security du répertoire d'installation du JRE [en général C:\Program Files\Java\jre7\lib\security\ sous Windows, /System/Library/Frameworks/JavaVM.framework/Versions/1.7.0/Home/lib/security/ sous Mac].
    Cette opération devra être répétée après une mise à jour du JRE.
  • Pour les postes disposant d'une version JAVA 64 bits, il est nécessaire d'exécuter l'utilitaire suivant sur votre poste afin de le rendre compatible avec la plate-forme. Cliquez ici pour télécharger l'utilitaire. Par la suite, exécuter l'utilitaire en double cliquant dessus.


Pour que ces fichiers soient bien pris en compte et permettre l'accès aux fonctions de chiffrement, il est nécessaire de fermer puis redémarrer le navigateur après cette installation (opération unique).

Problèmes ou incompatibilités connues

Internet Explorer 9 ne fonctionne avec JAVA qu'à partir de la version 1.6_24. (source : http://www.java.com/fr/download/help/iecrash.xml).
Il est donc impératif pour les utilisateurs d'Internet Explorer 9 de disposer d'une version au moins égale ou supérieure à la version 1.6_24 de JAVA sur leur poste pour pouvoir utiliser les fonctions cryptographiques de la plate-forme

Les règles de sécurité de JAVA ont été drastiquement renforcées par Oracle (éditeur de JAVA) à partir de la version 1.7_25. En effet, toute version à partir de la 1.7_25, si elle n'est pas la dernière mise à jour publiée par Oracle, bloque l'exécution des javascripts si le niveau de sécurité de JAVA sur le poste est "Elevé" ou "Très élevé". Cela peut bloquer un certain nombre de fonctions de l'application comme l'accès à l'explorateur du poste via le bouton "Parcourir" de certaines pages (ex : le formulaire de réponse électronique). Pour y remédier, nous vous recommandons l'une des deux solutions suivantes :

  • Installer la dernière version de JAVA publiée sur le site de Oracle ( http://www.java.com/fr/download/)
  • Paramétrer le niveau de sécurité de JAVA en niveau "MOYEN" (Panneau de configuration / JAVA / Onglet Sécurité)


Les fichiers RAR doivent être décompressés uniquement avec les outils WinRar ou 7Zip (l'utilisation de Winzip engendre une anomalie).